org.jbpm.services.task.commands

## Class DelegateTaskCommand

- java.lang.Object
- - org.jbpm.services.task.commands.TaskCommand<T>
  - - org.jbpm.services.task.commands.UserGroupCallbackTaskCommand<Void>
    - - org.jbpm.services.task.commands.DelegateTaskCommand

- All Implemented Interfaces:
    Serializable, org.drools.core.command.impl.ExecutableCommand<Void>, org.kie.api.command.Command<Void>

      public class DelegateTaskCommand
      extends UserGroupCallbackTaskCommand<Void>

  Operation.Delegate : [ new OperationCommand().{ status = [ Status.Ready ], allowed = [ Allowed.PotentialOwner, Allowed.BusinessAdministrator ], addTargetUserToPotentialOwners = true, newStatus = Status.Ready, exec = Operation.Claim }, new OperationCommand().{ status = [ Status.Reserved, Status.InProgress ], allowed = [ Allowed.Owner, Allowed.BusinessAdministrator ], addTargetUserToPotentialOwners = true, newStatus = Status.Ready, exec = Operation.Claim } ],
  See Also:
    Serialized Form

- - ### Field Summary

    - ### Fields inherited from class org.jbpm.services.task.commands.TaskCommand

      `groupIds, targetEntityId, taskId, userId`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `DelegateTaskCommand()`
    `DelegateTaskCommand(long taskId, String userId, String targetEntityId)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Void` | `execute(org.kie.api.runtime.Context cntxt)`

    - ### Methods inherited from class org.jbpm.services.task.commands.UserGroupCallbackTaskCommand

      `addGroupFromCallbackOperation, addUserFromCallbackOperation, doCallbackAndReturnUserOperation, doCallbackGroupOperation, doCallbackGroupsOperation, doCallbackOperationForAttachment, doCallbackOperationForComment, doCallbackOperationForPeopleAssignments, doCallbackOperationForPotentialOwners, doCallbackOperationForTaskData, doCallbackOperationForTaskDeadlines, doCallbackUserOperation, doCallbackUserOperation, doUserGroupCallbackOperation, filterGroups, isBusinessAdmin, persistIfNotExists`

    - ### Methods inherited from class org.jbpm.services.task.commands.TaskCommand

      `getGroupsIds, getTargetEntityId, getTaskId, getUserId, setGroupsIds, setTargetEntityId, setTaskId, setUserId`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.drools.core.command.impl.ExecutableCommand

      `canRunInTransaction`

- - ### Constructor Detail

    - #### DelegateTaskCommand

          public DelegateTaskCommand()

    - #### DelegateTaskCommand

          public DelegateTaskCommand(long taskId,
                                     String userId,
                                     String targetEntityId)

  - ### Method Detail

    - #### execute

          public Void execute(org.kie.api.runtime.Context cntxt)

      Specified by:
        `execute` in interface `org.drools.core.command.impl.ExecutableCommand<Void>`
      Overrides:
        `execute` in class `UserGroupCallbackTaskCommand<Void>`

Copyright © 2001–2018 JBoss by Red Hat. All rights reserved.